xprehashprinterlist(__appmansuffix__)

NAME
xprehashprinterlist - Recomputes the list of available printers.

SYNOPSIS
xprehashprinterlist
[-v] [-h]

DESCRIPTION
xprehashprinterlist causes all Xprint servers to recompute (update) their lists of available printers, and update the attributes for the printers. The intended usage of this tool is that a system administrator can run it after changing the printer topology.

OPTIONS

-v  generate verbose output

-h | -?
    print usage

ENVIRONMENT

XPSERVERLIST
    ${XPSERVERLIST} must be set, identifying the available Xprint servers. See Xprint(__miscmansuffix__) for more details.

EXAMPLES
Update the list of available printers

% xprehashprinterlist -v

would print:
Rehashing printer list on server 'meridian:34'

NOTES
xprehashprinterlist rehashes all printer lists of all print servers. Alternatively xset rehashprinterlist may be used to rehash only the list of printers in one print server.

SEE ALSO
Xprint(__miscmansuffix__), X11(__miscmansuffix__), xset(__appmansuffix__), xplsprinters(__appmansuffix__), xphelloworld(__appmansuffix__), xpxmhelloworld(__appmansuffix__), xpawhelloworld(__appmansuffix__), xpxthelloworld(__appmansuffix__), xpsimplehelloworld(__appmansuffix__), Xserver(__appmansuffix__), Xprt(__appmansuffix__), libXp(__libmansuffix__), libXprintUtils(__libmansuffix__), libXprintAppUtils(__libmansuffix__), XmPrintShell(__libmansuffix__), XawPrintShell(__libmansuffix__), Xprint FAQ (http://xprint.mozdev.org/docs/Xprint_FAQ.html), Xprint main site (http://xprint.mozdev.org/)